import ApiGroup from './ApiGroup';
/**
 * Endpoint class
 *
 * Manages CRUD and index calls for a specific endpoint
 */
export default class ApiEndpoint extends ApiGroup {
    /**
     * Endpoint constructor
     *
     * - creates CRUD operations + index
     * - inherits all API methods
     * - supports REST or object configuration
     *
     * @param   axios       An Axios instance
     * @param   config      A single RESTful URL or map of URLs for create, read, update, delete
     */
    constructor(axios: any, config: string | any);
    /**
     * Load the resource index
     * @param   data
     */
    index(data?: any): Promise<any>;
    /**
     * Create a new resource
     * @param   data
     */
    create(data: any): Promise<any>;
    /**
     * Read a single resource
     * @param   id
     */
    read(id: any): Promise<any>;
    /**
     * Update the resource
     * @param   data
     */
    update(data: any): Promise<any>;
    /**
     * Delete the resource
     * @param   id
     */
    delete(id: any): Promise<any>;
}
