import ApiEndpoint from './ApiEndpoint';
/**
 * Resource class
 *
 * Example class showing how Endpoint can be extended to be completely self-contained using plugins and handlers
 *
 * Featuring:
 *
 * - CRUD, index and search
 * - stores data on the class
 * - optional automatic model conversion
 * - optional auto-reload on create, update and delete
 */
export default class ApiResource extends ApiEndpoint {
    items: any[];
    item: any;
    constructor(axios: any, config: string | object, model?: any, reload?: boolean);
    search(data: any): Promise<any>;
}
