import Action from './Action';
import { AxiosRequestConfig } from 'axios';
export default class ActionMap {
    map: any;
    constructor(actions?: object);
    get(name: any): Action;
    /**
     * Add an action
     *
     * @param   name      The name of the action to add
     * @param   config    An object conforming to the AxiosRequestConfig interface
     * @param   handler   An optional handler function to fire on a successful call
     */
    add(name: string, config: AxiosRequestConfig, handler?: Function): void;
    /**
     * Remove an action
     *
     * @param   name      The name of the action to delete
     */
    remove(name: string): void;
    /**
     * Add callbacks to named actions
     *
     * @param   name      The name or names of actions to bind to
     * @param   handler   The function to fire
     * @returns this
     */
    addHandler(name: string, handler: Function): this;
    removeHandler(name: string, handler: Function): void;
}
