import { AxiosInstance, AxiosRequestConfig } from 'axios';
import ApiCore from '../ApiCore';
export default class Http {
    axios: AxiosInstance;
    before: Function[];
    after: Function[];
    done: Set<Function>;
    fail: Set<Function>;
    queue: Map<any, any>;
    constructor(axios: AxiosInstance);
    /**
     * Dispatch an axios request
     *
     * @param   instance  The ApiCore instance which should make the call
     * @param   config    An AxiosRequestConfig with all data for the call
     * @param   data      Any optional data to pass to the endpoints
     * @returns {Promise<any>}
     */
    request(instance: ApiCore, config: AxiosRequestConfig, data?: any): Promise<import("../../../node_modules/axios/index").AxiosResponse<any>>;
}
